Skip to main content
POST
/
v1
/
server
/
coupons
/
validate
Validate Coupon
curl --request POST \
  --url https://sdk-api.playcamp.io/v1/server/coupons/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "couponCode": "<string>",
  "userId": "<string>",
  "isTest": false
}
'
import requests

url = "https://sdk-api.playcamp.io/v1/server/coupons/validate"

payload = {
"couponCode": "<string>",
"userId": "<string>",
"isTest": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({couponCode: '<string>', userId: '<string>', isTest: false})
};

fetch('https://sdk-api.playcamp.io/v1/server/coupons/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "valid": true,
    "couponCode": "<string>",
    "reward": [
      {
        "itemName": {},
        "itemId": "<string>",
        "itemQuantity": 123,
        "itemImageUrl": "<string>"
      }
    ],
    "itemName": {},
    "errorCode": "<string>",
    "errorMessage": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Server API Key (format: {keyId}:{secret})

Body

application/json
couponCode
string
required

Coupon code

userId
string
required

User ID

isTest
boolean
default:false

Test mode (does not create actual data)

Response

200 - application/json

Success

data
object
required

Coupon validation result (fields vary based on valid/invalid)